package com.casic.br.extensions

import android.view.View
import android.view.ViewGroup
import com.casic.br.utils.LocaleConstant

fun ViewGroup.disableLayout(vararg view: View) {
    this.alpha = LocaleConstant.VIEW_DISABLE
    this.isEnabled = false
    view.forEach {
        it.isEnabled = false
    }
}

fun ViewGroup.enableLayout(vararg view: View) {
    this.alpha = LocaleConstant.VIEW_ENABLE
    this.isEnabled = true
    view.forEach {
        it.isEnabled = true
    }
}

fun ViewGroup.disableView() {
    this.isEnabled = false
}

fun ViewGroup.enableView() {
    this.isEnabled = true
}